import React, { Component } from "react";
import CommonUsers from "./common_users"
class PraiseUsers extends Component {
  constructor(props) {
    super(props);
    this.state = {
      projectId: null
    };
  }

  componentDidMount = () => {
    this.get_projectId();
  };

  get_projectId = () => {
   this.setState({
     projectId: this.props.match.params.projectsId
   })
  };

  render() {
    const { projectId } = this.state;
    return (
      <div>
        {projectId &&  <CommonUsers user_type="praise_users" type_title="点赞列表" project_id={projectId} />}
      </div>
     
    );
  }
}

export default PraiseUsers;
